be.vlaanderen.mercurius.mohm.common.v7

## Class BTCAdviceMobilityToolType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.BTCAdviceMobilityToolType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:08:16+02:00",
                 comments="JAXB RI v2.2.11")
      public class BTCAdviceMobilityToolType
      extends Object
      implements Serializable

  Generiek type voor het mobiliteitshulpmiddel in een aanvraag die wordt neergelegd bij BTC.

  Java class for BTCAdviceMobilityToolType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="BTCAdviceMobilityToolType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="BasicEquipment" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}MobilityToolDetailType" minOccurs="0"/>
               <element name="Accessory" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}MobilityToolDetailType" minOccurs="0"/>
               <element name="SupportAndRepair" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}MobilityToolDetailType" minOccurs="0"/>
               <element name="Supplement" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}MobilityToolDetailType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BTCAdviceMobilityToolType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MobilityToolDetailType` | `getAccessory()` Gets the value of the accessory property.
    `MobilityToolDetailType` | `getBasicEquipment()` Gets the value of the basicEquipment property.
    `List<MobilityToolDetailType>` | `getSupplements()` Gets the value of the supplements property.
    `MobilityToolDetailType` | `getSupportAndRepair()` Gets the value of the supportAndRepair property.
    `void` | `setAccessory(MobilityToolDetailType value)` Sets the value of the accessory property.
    `void` | `setBasicEquipment(MobilityToolDetailType value)` Sets the value of the basicEquipment property.
    `void` | `setSupportAndRepair(MobilityToolDetailType value)` Sets the value of the supportAndRepair property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BTCAdviceMobilityToolType

          public BTCAdviceMobilityToolType()

  - ### Method Detail

    - #### getBasicEquipment

          public MobilityToolDetailType getBasicEquipment()

      Gets the value of the basicEquipment property.
      Returns:
        possible object is `MobilityToolDetailType`

    - #### setBasicEquipment

          public void setBasicEquipment(MobilityToolDetailType value)

      Sets the value of the basicEquipment property.
      Parameters:
        `value` - allowed object is `MobilityToolDetailType`

    - #### getAccessory

          public MobilityToolDetailType getAccessory()

      Gets the value of the accessory property.
      Returns:
        possible object is `MobilityToolDetailType`

    - #### setAccessory

          public void setAccessory(MobilityToolDetailType value)

      Sets the value of the accessory property.
      Parameters:
        `value` - allowed object is `MobilityToolDetailType`

    - #### getSupportAndRepair

          public MobilityToolDetailType getSupportAndRepair()

      Gets the value of the supportAndRepair property.
      Returns:
        possible object is `MobilityToolDetailType`

    - #### setSupportAndRepair

          public void setSupportAndRepair(MobilityToolDetailType value)

      Sets the value of the supportAndRepair property.
      Parameters:
        `value` - allowed object is `MobilityToolDetailType`

    - #### getSupplements

          public List<MobilityToolDetailType> getSupplements()

      Gets the value of the supplements property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the supplements property.

      For example, to add a new item, do as follows:

              getSupplements().add(newItem);

      Objects of the following type(s) are allowed in the list `MobilityToolDetailType`

Connector Packaging TRUSSMAKER 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.